Package io.dapr.v1

# Interface DaprProtos.QueryStateItemOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.QueryStateItem`, `DaprProtos.QueryStateItem.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.QueryStateItemOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
`getData()`
The object value.
`String`
`getError()`
The error message indicating an error in processing of the query result.
`com.google.protobuf.ByteString`
`getErrorBytes()`
The error message indicating an error in processing of the query result.
`String`
`getEtag()`
The entity tag which represents the specific version of data.
`com.google.protobuf.ByteString`
`getEtagBytes()`
The entity tag which represents the specific version of data.
`String`
`getKey()`
The object key.
`com.google.protobuf.ByteString`
`getKeyBytes()`
The object key.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getKey

String getKey()

     The object key.

`string key = 1;`

Returns:
  The key.

### getKeyBytes

com.google.protobuf.ByteString getKeyBytes()

     The object key.

`string key = 1;`

Returns:
  The bytes for key.

### getData

com.google.protobuf.ByteString getData()

     The object value.

`bytes data = 2;`

Returns:
  The data.

### getEtag

String getEtag()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Returns:
  The etag.

### getEtagBytes

com.google.protobuf.ByteString getEtagBytes()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Returns:
  The bytes for etag.

### getError

String getError()

     The error message indicating an error in processing of the query result.

`string error = 4;`

Returns:
  The error.

### getErrorBytes

com.google.protobuf.ByteString getErrorBytes()

     The error message indicating an error in processing of the query result.

`string error = 4;`

Returns:
  The bytes for error.